package com.phm.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;

/**
 * 数据下载对象 phm_data_down_result
 * 
 * @author phm
 * @date 2023-08-24
 */
public class DataDownResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一ID */
    private Long id;

    /** 指令 */
    @Excel(name = "指令")
    private String order;

    /** 下载的数据名称 */
    @Excel(name = "下载的数据名称")
    private String name;

    /** 保存路径 */
    @Excel(name = "保存路径")
    private String path;

    /** 数据是否删除（1：删除，0有效） */
    private Long isDelete;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOrder(String order) 
    {
        this.order = order;
    }

    public String getOrder() 
    {
        return order;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("order", getOrder())
            .append("name", getName())
            .append("path", getPath())
            .append("remark", getRemark())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
